List Apps
curl --request GET \
--url https://api-dev.narrative.io/v2/apps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/v2/apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/v2/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-dev.narrative.io/v2/apps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-dev.narrative.io/v2/apps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-dev.narrative.io/v2/apps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-dev.narrative.io/v2/apps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"records": [
{
"id": 42,
"slug": "my_connector",
"status": "pending",
"manifest": {
"manifest_version": "1.0.0",
"display_name": "Facebook Connector",
"capabilities": [
"destination_connector"
],
"api_url": "https://facebook-connector.example.com/api",
"required_scopes": [
{
"resource": "datasets",
"access": "read"
}
],
"app_token_scopes": [
{
"resource": "datasets",
"access": "read"
}
],
"ui_url": "https://facebook-connector.example.com",
"launch_path": {
"url": "https://facebook-connector.example.com/setup",
"type": "external"
},
"embedding": {
"device_permissions": [
"<string>"
],
"initial_guest_path": "<string>"
},
"pages": [
{
"eligible_path": "<string>",
"navigation": {
"title": "<string>",
"icon": "<string>",
"pill": "<string>",
"show_as_button": true,
"button_variant": "<string>"
},
"visible_path": "<string>"
}
],
"listing": {
"headlines": {
"tagline": "<string>",
"body": "<string>"
},
"short_description": "<string>",
"long_description": "<string>",
"meta_description": "<string>",
"icon": {
"name": "<string>",
"image": "<string>",
"image_type": "image/svg+xml",
"alt_text": "<string>",
"width": 123,
"height": 123
},
"headline_image": {
"name": "<string>",
"image": "<string>",
"image_type": "image/svg+xml",
"alt_text": "<string>",
"width": 123,
"height": 123
},
"background_color": "#E7E3CE",
"merchandising_sections": [
{
"title": "<string>",
"subtitle": "<string>",
"order": 123,
"image": {
"name": "<string>",
"image": "<string>",
"image_type": "image/svg+xml",
"alt_text": "<string>",
"width": 123,
"height": 123
}
}
],
"developer_information": {
"name": "<string>",
"website": "<string>",
"support_email": "<string>",
"privacy_policy": "<string>",
"support_website": "<string>"
},
"tags": [
"<string>"
]
}
},
"client_id": "85b558340b635861575c462a10df3bd5",
"created_at": "2026-09-24T17:21:03.120581",
"updated_at": "2026-09-24T17:21:03.120581",
"type": "owned"
}
]
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}Apps
List Apps
Lists every active app, plus the caller’s own pending apps. Requires a user token.
GET
/
v2
/
apps
List Apps
curl --request GET \
--url https://api-dev.narrative.io/v2/apps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/v2/apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/v2/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-dev.narrative.io/v2/apps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-dev.narrative.io/v2/apps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-dev.narrative.io/v2/apps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-dev.narrative.io/v2/apps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"records": [
{
"id": 42,
"slug": "my_connector",
"status": "pending",
"manifest": {
"manifest_version": "1.0.0",
"display_name": "Facebook Connector",
"capabilities": [
"destination_connector"
],
"api_url": "https://facebook-connector.example.com/api",
"required_scopes": [
{
"resource": "datasets",
"access": "read"
}
],
"app_token_scopes": [
{
"resource": "datasets",
"access": "read"
}
],
"ui_url": "https://facebook-connector.example.com",
"launch_path": {
"url": "https://facebook-connector.example.com/setup",
"type": "external"
},
"embedding": {
"device_permissions": [
"<string>"
],
"initial_guest_path": "<string>"
},
"pages": [
{
"eligible_path": "<string>",
"navigation": {
"title": "<string>",
"icon": "<string>",
"pill": "<string>",
"show_as_button": true,
"button_variant": "<string>"
},
"visible_path": "<string>"
}
],
"listing": {
"headlines": {
"tagline": "<string>",
"body": "<string>"
},
"short_description": "<string>",
"long_description": "<string>",
"meta_description": "<string>",
"icon": {
"name": "<string>",
"image": "<string>",
"image_type": "image/svg+xml",
"alt_text": "<string>",
"width": 123,
"height": 123
},
"headline_image": {
"name": "<string>",
"image": "<string>",
"image_type": "image/svg+xml",
"alt_text": "<string>",
"width": 123,
"height": 123
},
"background_color": "#E7E3CE",
"merchandising_sections": [
{
"title": "<string>",
"subtitle": "<string>",
"order": 123,
"image": {
"name": "<string>",
"image": "<string>",
"image_type": "image/svg+xml",
"alt_text": "<string>",
"width": 123,
"height": 123
}
}
],
"developer_information": {
"name": "<string>",
"website": "<string>",
"support_email": "<string>",
"privacy_policy": "<string>",
"support_website": "<string>"
},
"tags": [
"<string>"
]
}
},
"client_id": "85b558340b635861575c462a10df3bd5",
"created_at": "2026-09-24T17:21:03.120581",
"updated_at": "2026-09-24T17:21:03.120581",
"type": "owned"
}
]
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
ListApps 200 response
The owner's view, tagged type: owned like the AppResponse it is one case of.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?

